﻿/*
 * Pdf2
 * 
 * Copyright(c)株式会社トラスト・ソフトウェア・システム
 */
using System;
using Pdftools.Pdf;
using Pdftools.Pdf2PdfImg;
using Pdftools.Render;

namespace pdf2
{
    class pdf2
    {
        static void Main(string[] args)
        {
            // インスタンス生成
            Pdf2PdfImg conv = new Pdf2PdfImg();

            // ライセンス
            // ライセンスマネージャを利用しない場合に有効にします。
            Pdf2PdfImg.SetLicenseKey("ライセンスキー");  //適切なライセンスキーに替えてください。

            // 回転
            // 従来のレンダリング・エンジンの場合に有効にします。
            conv.RotateMode = PDFRotateMode.eRotateAttribute;

            // 入力のPDF
            if (!conv.Open("input.pdf", ""))
            {
                Console.WriteLine("入力ファイル\"input.pdf\"を開けません");
                Environment.Exit(1);
            }

            // 出力の画像
            if (!conv.CreateImage("output.pdf", null, null, (PDFPermission)(-1), 0))
            {
                Console.WriteLine("出力ファイル\"output.jpg\"を開けません");
                Environment.Exit(2);
            }

            // ページを指定して変換
            int pages = conv.PageCount;
            for (int iPage = 1; iPage <= pages; iPage++)
            {
                conv.RenderPage(iPage);
            }
        }
    }
}
